Subject: Re: many sockets, slow sendto

From: Eric Dumazet <[email-masked]>
Date: Thu, 22 Mar 2007 00:26:42 +0100

Zacco a écrit :
> So, my worry is confirmed then. But how could that delay disappear when 
> splitting the sender and receiver on distinct hosts? Even in that case 
> the good socket must be found somehow.

When the receiver and sender are on the same machine, the sendto() pass the 
packet to loopback and enters the receiving side. With that many sockets, the 
time to go through all sockets maybe 100 us. So your sendto() seems to be 
slow, but the slow part is the receiver.

If you put two machines, the sender might send XX.XXX frames per second (full 
speed), but the receiver might handle 5% of them and drop 95%

This is all speculation, since you didnt gave us the exact setup you use.